com.independentsoft.exchange

## Class TimeZoneDefinition

- java.lang.Object
- - com.independentsoft.exchange.TimeZoneDefinition

-     public class TimeZoneDefinition
      extends java.lang.Object

  Specifies the periods and transitions that define a time zone.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets the unique identifier of the time zone.
    `java.lang.String` | `getName()` Gets the descriptive name of the time zone.
    `java.util.List<Period>` | `getPeriods()` Gets a collection of Period elements that define the time offset at different stages of the time zone.
    `java.util.List<TransitionsGroup>` | `getTransitionsGroups()` Gets a collection of TransitionsGroup elements that specify time zone transitions.
    `java.util.List<Transition>` | `getTransitons()` Gets a collection of time zone transitions.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier of the time zone.
      Returns:
        the id

    - #### getName

          public java.lang.String getName()

      Gets the descriptive name of the time zone.
      Returns:
        the name

    - #### getPeriods

          public java.util.List<Period> getPeriods()

      Gets a collection of Period elements that define the time offset at different stages of the time zone.
      Returns:
        the periods

    - #### getTransitionsGroups

          public java.util.List<TransitionsGroup> getTransitionsGroups()

      Gets a collection of TransitionsGroup elements that specify time zone transitions.
      Returns:
        the transitions groups

    - #### getTransitons

          public java.util.List<Transition> getTransitons()

      Gets a collection of time zone transitions.
      Returns:
        the transitons